#ifndef _BezierTesti_HPP_
#define _BezierTesti_HPP_

#include <stdio.h>
#include "../library/externs.hpp"
#include "../library/bpm.hpp"
#include "../library/catmullrom.hpp"
#include "../library/bezier.hpp"

class BezierTesti : public Base
{
	public:

		BezierTesti();
		~BezierTesti();

		bool init(unsigned long s, unsigned long e);
		void draw();

	private:
        Bezier *spline;
        int pcount;
        Vector3 *points;
        Vector3 *tangents;
        Vector3 *tangents2;

		void renderScene(float pos, float alpha);
};

#endif
